Kick
List Kick top-level category groups
List Kick's six top-level category groups with their ids, slugs and icons.
GET/v1/kick/category-groups
Headers
Get your API keyx-api-keystringheader
API key (`sfk_...`)
Response fields
11
Endpoint-specific response payload.
data lookupStatus
string
Always `found`: the group list is a static catalogue.
one of: found, not_found
Top-level categories, in Kick's order.
data groups[] id
integernullable
Top-level group id.
data groups[] name
stringnullable
Group name, e.g. `Games`.
data groups[] slug
stringnullable
Group slug, e.g. `games`.
data groups[] icon
stringnullable
Group emoji.
Metadata describing the request and billing outcome.
meta requestId
string
Unique request identifier for tracing this API call.
min 1 chars
meta creditsCharged
integer
Credits charged for this request.
≥ 0
meta version
string
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/kick/category-groups" \
-H "x-api-key: YOUR_API_KEY"Responses
Kick category groups.